Summary:    Point-to-Point Tunneling Protocol (PPTP) Client
Name:       pptp
Version:    1.10.0
Release:    3%{?dist}
License:    GPLv2+
URL:        http://pptpclient.sourceforge.net/
Source0:    http://downloads.sf.net/pptpclient/pptp-%{version}.tar.gz
Source1:    pptp-tmpfs.conf

Patch3000:  pptp-1.10.0-man-fix.patch

BuildRequires: make /usr/bin/pod2man gcc perl-generators
Requires:      ppp /sbin/ip systemd-units

%description
Client for the proprietary Microsoft Point-to-Point Tunneling Protocol, PPTP. Allows connection to a
PPTP based VPN as used by employers and some cable and ADSL service providers.

%package setup
Summary:    PPTP Tunnel Configuration Script
Requires:    %{name} = %{version}-%{release}

%description setup
This package provides a simple configuration script for setting up PPTP tunnels.

%prep
%autosetup -n %{name}-%{version} -p1

perl -pi -e 's/install -o root -m 555 pptp/install -m 755 pptp/;' Makefile

%build
OUR_CFLAGS="-Wall %{optflags} -Wextra -Wstrict-aliasing=2 -Wnested-externs -Wstrict-prototypes"
%{make_build} CFLAGS="$OUR_CFLAGS" LDFLAGS="$RPM_LD_FLAGS" IP=/sbin/ip

%install
rm -rf %{buildroot}
%{make_install}
install -d -m 750 %{buildroot}%{_localstatedir}/run/pptp
install -d -m 755 %{buildroot}%{_prefix}/lib/tmpfiles.d
install -p -m 644 %{SOURCE1} %{buildroot}%{_prefix}/lib/tmpfiles.d/pptp.conf

%files
%license COPYING
%doc AUTHORS DEVELOPERS NEWS README TODO USING
%doc ChangeLog Documentation/DESIGN.PPTP PROTOCOL-SECURITY
%{_prefix}/lib/tmpfiles.d/pptp.conf
%dir %attr(750,root,root) %{_localstatedir}/run/pptp/
%config(noreplace) %{_sysconfdir}/ppp/options.pptp
%{_sbindir}/pptp
%{_mandir}/man8/pptp.8*

%files setup
%{_sbindir}/pptpsetup
%{_mandir}/man8/pptpsetup.8*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 28 2023 Shuo Wang <abushwang@tencent.com> - 1.10.0-1
- initial build
